Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.datax
Class AudioConnection

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--cnrg.itx.datax.Connection
                  |
                  +--cnrg.itx.datax.AudioConnection

public class AudioConnection
extends Connection

Class to represent an audio connection.

Constructor Summary
`AudioConnection(Channel input, Channel output)` Creates a connection object

Method Summary
`static AudioConnection` | `getDefaultAudioConnection()` Creates the default AudioConnection object input channel.

Methods inherited from class cnrg.itx.datax.Connection
`close, getInputChannel, getOutputChannel, getProperties, getStatistics, open, run, setInputChannel, setOutputChannel, setPeerProperties, setProperties`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AudioConnection

    public AudioConnection(Channel input,
                           Channel output)

  Creates a connection object
  Parameters:
    `input` - the new input channel
    `output` - the new output channel.

Method Detail

### getDefaultAudioConnection

    public static AudioConnection getDefaultAudioConnection()
                                                     throws DataException

  Creates the default AudioConnection object input channel. The default audio connection has an input channel and an output channel. The input channel has a network destination as the source and the speaker as the destination and the input channel has the microphone as the source and the network destination as the destination.
  Throws:
    DataException - thrown when a default audio connection cannot be made

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD